import request from '@/utils/request'

// 查询拓展交流列表
export function listCsExpandInteract(query) {
  return request({
    url: '/cs/csExpandInteract/list',
    method: 'get',
    params: query
  })
}

// 查询拓展交流详细
export function getCsExpandInteract(expandInteractId) {
  return request({
    url: '/cs/csExpandInteract/' + expandInteractId,
    method: 'get'
  })
}

// 新增拓展交流
export function addCsExpandInteract(data) {
  return request({
    url: '/cs/csExpandInteract',
    method: 'post',
    data: data
  })
}

// 修改拓展交流
export function updateCsExpandInteract(data) {
  return request({
    url: '/cs/csExpandInteract',
    method: 'put',
    data: data
  })
}

// 删除拓展交流
export function delCsExpandInteract(expandInteractId) {
  return request({
    url: '/cs/csExpandInteract/' + expandInteractId,
    method: 'delete'
  })
}
// 获取系统用户列表
export function getSysUserList(query) {
  return request({
    url: '/system/user/getSysUserList',
    method: 'get',
    params: query
  })
}
